Subject: RE: [PWE3] BFD for MPLS PWs

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Wed, 23 Aug 2006 08:23:47 -0400

Hi Sasha,

Good question. Even though the VCCV draft allows PEs to choose the option "use BFD for both fault detection and notification", we haven't defined the related procedures yet. The OAM message mapping draft only deals with in-band notifications in the client protocol layer (like ATM AIS) and PW Status.

In my opinion, if you use BFD for fault notification, the guiding principle should be that you use BFD where the OAM Message Mapping Draft prescribes PW Status. Thus, for a defect on a FR AC, the PE should send a BFD failure notification, but for an ATM AC defect it should insert AIS and not send a BFD failure notification. But again, we haven't specified this yet. Considering the current confusion, we should probably update OAM message mapping to cover this aspect before going to last call.

Peter

> -----Original Message-----
> From: Sasha Vainshtein [mailto:[email-masked]]
> Sent: Wednesday, August 23, 2006 4:27 AM
> To: Busschbach, Peter B (Peter)
> Cc: Swallow George; Thomas D. Nadeau; Pignataro Carlos; 
> Morrow Monique;
> pwe3 WG ((((((((E-mail)))))))); Danny McPherson; Agarwal 
> Rahul; Stewart
> (stbryant) Bryant; Luca Martini
> Subject: RE: [PWE3] BFD for MPLS PWs
> 
> 
> Peter and all,
> Please allow me to revert the question you're asking.
> 
> Section 7.4. of the ATM Encapsulation draft  
> (draft-ietf-pwe3-atm-encap-11.txt) 
> mandates that upon LOS the ingress PE inserts F4 AIS for 
> every affected VPC.
> 
> Is it your opinion that in this case the ingress PE mush send 
> an appropriate
> AC status notification in BFD (in addition to F4/F5 AIS 
> insertion) for every
> affected PW that uses VCCV BFD with status notification?
> 
> And, if yes, how, in your opinion, should the egress PEs 
> handle these notifications?
> E.g., should they force F4/F5 AIS on VP/VC that act as the 
> ACs of the affected PWs?
> 
> To make it short, IMHO you've raised a very serious issue 
> that is equally applicable
> to ALL PW OAM techniques.
> 
> Regards,
>                                Sasha
> > -----Original Message-----
> > From: Busschbach, Peter B (Peter) [mailto:[email-masked]]
> > Sent: Wednesday, August 16, 2006 10:40 PM
> > To: 'Luca Martini'
> > Cc: Swallow George; 'Thomas D. Nadeau'; Pignataro Carlos; 
> > Morrow Monique; pwe3 WG ((((((((E-mail)))))))); Danny 
> > McPherson; Agarwal Rahul; Stewart (stbryant) Bryant
> > Subject: RE: [PWE3] BFD for MPLS PWs
> > 
> > 
> > Luca,
> > 
> > Section 7.4 of the ATM Encapsulation draft 
> > (draft-ietf-pwe3-atm-encap-11.txt) mandates that upon LOS the 
> > ingress PE inserts F4 AIS for every affected VPC. Is it your 
> > opinion that because of RFC 4447 the ingress PE must send a 
> > PW Status message in addition to F AIS insertion?
> > 
> > Peter
> > 
> > > -----Original Message-----
> > > From: Luca Martini [mailto:[email-masked]]
> > > Sent: Tuesday, August 15, 2006 6:29 PM
> > > To: Busschbach, Peter B (Peter)
> > > Cc: 'Thomas D. Nadeau'; Swallow George; Pignataro Carlos; Morrow
> > > Monique; pwe3 WG ((((((((E-mail)))))))); Danny McPherson; 
> > > Agarwal Rahul;
> > > Stewart (stbryant) Bryant
> > > Subject: Re: [PWE3] BFD for MPLS PWs
> > > 
> > > 
> > > Busschbach, Peter B (Peter) wrote:
> > > >
> > > > In my opinion, the work on VCCV and OAM-MAP provides a 
> > > further specification of RFC4447 and in fact overrules the 
> > > requirement that LDP Status signaling must be used.
> > > >
> > > >
> > > >   
> > > Peter, 
> > > We agreed a long time ago that the LDP status messaging was 
> > > going to be mandatory , in fact people insisted I make it 
> mandatory.
> > > So I would have to say that the LDP status MUST always be 
> > > used as mandated in RFC 4447, and the BFD status messaging is 
> > > an optional, and , in my opinion, not a very useful option 
> > > when LDP is in use.
> > > 
> > > Luca
> > > 
> > > 
> > > > A minor comment on your email:
> > > > I am not sure what you mean by the "de-facto status must 
> > > always rely on LDP". Either you declare that that the PW is 
> > > down when (1) BFD OR LSP indicate a PW failure, or (2) based 
> > > only on the LDP status. In my mind "de-facto status" implies 
> > > (2), whereas the beginning of your email says that (1) is the 
> > > proposed procedure.
> > > >
> > > > Peter
> > > >  
> > > >
> > > > _______________________________________________
> > > > pwe3 mailing list
> > > > [email-masked]
> > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > >   
> > > 
> > 
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> > 
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Luca Martini <[email-masked]>
Date: Wed, 30 Aug 2006 12:32:35 -0600

> In my opinion, if you use BFD for fault notification, the guiding principle should be that you use BFD where the OAM Message Mapping Draft prescribes PW Status. Thus, for a defect on a FR AC, the P…

Peter ,

Picking up this thread where we left off , I see the following problems:

In The ATM encapsulation draft:

Section 7.4 acts as a summary to the OAM message mapping draft. I 
suggest that we remove section 7.4. ( I have ithout issuing  
a label withdraw message and re-advertising the FEC.

Luca

---

From: Luca Martini <[email-masked]>
Date: Wed, 30 Aug 2006 12:32:35 -0600

Peter ,

Section 7.4 acts as a summary to the OAM message mapping draft. I 
suggest that we remove section 7.4. ( I have not approved the rfc yet , 
so we can still do it ) Then we have the detailed discussion int the 
message mapping draft only.

Matthew is fixing section 7.1 and 7.2 so that we do not say that segment 
OAM should be passed. ( Segment OAM should be terminated when we act as 
an ATM switch )

In the message mapping draft there are a few problems:

1) The ethernet PW section needs to be re-written to include ethernet 
OAM , and  ELMI .

2) We clearly have a conflict between this draft and RFC4447. We need to 
resolve the text that says " that PW status notification should not be 
used when BFD status is used"

3) We need to resolve where we inject the ATM AIS alarms.

Before I send out what my opinion is about the solution to #2 and #3 
above , do we agree that these are the areas of concern ?
Are there any others ?

Thanks.
Luca

not approved the rfc yet , 
so we can still do it ) Then we have the detailed discussion int the 
message mapping draft only.

Matthew is fixing section 7.1 and 7.2 so that we do not say that segment 
OAM should be passed. ( Segment OAM should be terminated when we act as 
an ATM switch )

In the message mapping draft there are a few problems:

1) The ethernet PW section needs to be re-written to include ethernet 
OAM , and  ELMI .

2) We clearly have a conflict between this draft and RFC4447. We need to 
resolve the text that says " that PW status notification should not be 
used when BFD status is used"

3) We need to resolve where we inject the ATM AIS alarms.

Before I send out what my opinion is about the solution to #2 and #3 
above , do we agree that these are the areas of concern ?
Are there any others ?

Thanks.
Luca

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Wed, 30 Aug 2006 15:26:20 -0400

On Aug 30, 2006, at 2:32 PM, Luca Martini wrote:

>> Good question. Even though the VCCV draft allows PEs to choose the  
>> option "use BFD for both fault detection and notification", we  
>> haven't defined the related procedures yet. The OAM message  
>> mapping draft only deals with in-band notifications in the client  
>> protocol layer (like ATM AIS) and PW Status.
>>
>> In my opinion, if you use BFD for fault notification, the guiding  
>> principle should be that you use BFD where the OAM Message Mapping  
>> Draft prescribes PW Status. Thus, for a defect on a FR AC, the PE  
>> should send a BFD failure notification, but for an ATM AC defect  
>> it should insert AIS and not send a BFD failure notification. But  
>> again, we haven't specified this yet. Considering the current  
>> confusion, we should probably update OAM message mapping to cover  
>> this aspect before going to last call.
>>
>> Peter
>>
>
> Peter ,
>
> suggest that we remove section 7.4. ( I have not approved the rfc  
> yet , so we can still do it ) Then we have the detailed discussion  
> int the message mapping draft only.
>
> Matthew is fixing section 7.1 and 7.2 so that we do not say that  
> segment OAM should be passed. ( Segment OAM should be terminated  
> when we act as an ATM switch )
>
>
> 1) The ethernet PW section needs to be re-written to include  
> ethernet OAM , and  ELMI .

	The agreement amoungst the co-authors was to remove
the eth oam sections and produce a subsequent document in
the interest of progressing the document.  All of the text
in the document has been stable for some time now, except
for the eth section.

> 2) We clearly have a conflict between this draft and RFC4447. We  
> need to resolve the text that says " that PW status notification  
> should not be used when BFD status is used"

	To be clear, do you mean "SHOULD NOT"?

	--Tom

> Before I send out what my opinion is about the solution to #2 and  
> #3 above , do we agree that these are the areas of concern ?
> Are there any others ?
>
> Thanks.
> Luca
>
>
>
>